% file to make a finite-sets parser %

load_library `prettyp`;;
load_library `finite_sets`;;

PP_to_ML false `finite_sets` ``;;

loadt `finite_sets_pp`;;

top_print (\t. pp (finite_sets_rules_fun then_try
                   hol_term_rules_fun then_try
                   hol_type_rules_fun) `term` [] (pp_convert_term t));;

"EMPTY:(*)set";;
"1 INSERT EMPTY";;
"1 INSERT (2 INSERT EMPTY)";;
"1 INSERT (2 INSERT (3 INSERT EMPTY))";;

let test = "1 INSERT (2 INSERT (3 INSERT (4 INSERT (5 INSERT
             (6 INSERT EMPTY)))))";;
set_margin 15;;
test;;
set_margin 14;;
test;;
set_margin 12;;
test;;
set_margin 72;;

"(1,2) INSERT ((3,4) INSERT EMPTY)";;
(REWRITE_RULE[IN_INSERT;NOT_IN_EMPTY] o ASSUME)
    "(2,2) IN ((1,2) INSERT ((3,4) INSERT EMPTY))";;
