% parser load file %

set_search_path( (sunrise_dir ^ `vcg_parser/`)
                . `/vcg_parser/`
		. (library_pathname() ^ `/parser/`)
                . search_path());;

% First load some basic definitions: %
loadf `general`;;

% Insert any other files you want loaded here: %
loadf `vcg_help`;;

% Now load the declarations: %
loadf `vcg_decls`;;

% Finally load in the function definitions: %
loadf `vcg`;;

let SEPS = [(`,`,[]);(`(`,[]);(`)`,[]);(`+`,[`+`]);(`-`,[`>`]);
            (`<`,[`<`;`-`]);(`>`,[]);(`/`,[`\\`]);(`\\`,[`/`]);(`~`,[]);
            (`;`,[]);(`:`,[`=`]);(`*`,[]);(`!`,[]);(`?`,[]);
            (`.`,[]);(`=`,[`=`;`>`]);(`|`,[]);(`{`,[]);(`}`,[]);
            (`[`,[]);(`]`,[])
           ];;

let escape = set_string_escape(ascii_code `@`);;
%
let escape = set_string_escape(92);;
%

let parse text =
      PARSE_text(` `^text,[],SEPS) ;;

new_special_symbol `[[`;;
new_special_symbol `]]`;;

new_syntax_block(`[[`,`]]`,`parse`);;
