% ================== %
% THE SUNRISE SYSTEM %
%       \ | /        %
%     ---_*_---      %
% ================== %


let new_ind_def name pattern rule_defs =
  let rules,ind = new_inductive_definition
                             false (name ^ `_DEF`) pattern rule_defs
  in
  let cases = save_theorem (name ^ `_cases`) (derive_cases_thm (rules,ind))
  in
  let str_ind = save_theorem (name ^ `_str_induct`)
                             (derive_strong_induction (rules,ind))
  in
  (rules,ind,cases,str_ind) ;;

