% Here are some useful tactics, derived from the results of translations: %


letrec compare_left = fun ([],l2) . true
                       |  ((x.l1),[]) . false
                       |  ((x.l1),(y.l2)) . (x = y) & compare_left(l1,l2);;

let TRANSLATE_TAC tm :tactic = \(asl,gl).
    let fn,args = strip_comb tm in
    let trans_thm = (fn="E" => VE_THM | AB_THM) in
    let f as =
        let fna,argsa = strip_comb as in
        if fna = fn then if compare_left(args,argsa)
                         then REWRITE_RULE [trans_thm] (ASSUME as)
                         else fail
        else fail
    in
    STRIP_ASSUME_TAC (LIST_CONJ (mapfilter f asl)) (asl,gl)
    ? failwith `TRANSLATE_TAC -- could not match `^(fst (dest_const fn));;

