% Palantir:Higher Order Logic:hol 2.2:Sunrise:Pass 4:sunrise3:vcg_prettyp:vcg_pp.ml%
%-----------------------------------------------------------------------------%


let vcg_rules =

   % : (print_rule list) %

   letrec prec_val = (\dummy0. ((\symb. case symb
                                        of `INC`    . 0
                                         | `PLUS`   . 2
                                         | `MINUS`  . 2
                                         | `MULT`   . 1
                                         | `EQ`     . 3
                                         | `LESS`   . 3
                                         | `LLESS`  . 3
                                         | `AND`    . 4
                                         | `OR`     . 5
                                         | `NOT`    . 0
                                 
                                         | `APLUS`  . 2
                                         | `AMINUS` . 2
                                         | `AMULT`  . 1
                                         | `AEQ`    . 3
                                         | `ALESS`  . 3
                                         | `ALLESS` . 3
                                         | `AAND`   . 5
                                         | `AOR`    . 6
                                         | `ANOT`   . 0
                                         | `AIMP`   . 7
                                         | `AEQB`   . 4
                                         | `ACOND`  . 8
                                         | `ACLOSE` . 0
                                         | `AFORALL`. 9
                                         | `AEXISTS`. 9
                                 ) dummy0))
   and arity = (\dummy0. ((\symb. case symb
                                  of `NUM`    . 1
                                   | `PVAR`   . 1
                                   | `INC`    . 1
                                   | `PLUS`   . 2
                                   | `MINUS`  . 2
                                   | `MULT`   . 2
                                   | `EQ`     . 2
                                   | `LESS`   . 2
                                   | `LLESS`  . 2
                                   | `AND`    . 2
                                   | `OR`     . 2
                                   | `NOT`    . 1
                                   | `SKIP`   . 0
                                   | `ABORT`  . 0
                                   | `ASSIGN` . 2
                                   | `SEQ`    . 2
                                   | `IF`     . 3
                                   | `WHILE`  . 4
                                   | `CALL`   . 3
                           
                                   | `ANUM`   . 1
                                   | `AVAR`   . 1
                                   | `APLUS`  . 2
                                   | `AMINUS` . 2
                                   | `AMULT`  . 2
                                   | `ATRUE`  . 0
                                   | `AFALSE` . 0
                                   | `AEQ`    . 2
                                   | `ALESS`  . 2
                                   | `ALLESS` . 2
                                   | `AAND`   . 2
                                   | `AOR`    . 2
                                   | `ANOT`   . 1
                                   | `AIMP`   . 2
                                   | `AEQB`   . 2
                                   | `ACOND`  . 3
                                   | `ACLOSE` . 1
                                   | `AFORALL`. 2
                                   | `AEXISTS`. 2
                           
                                   | `PROC`.    9
                                   | `DSEQ`.    2
                                   | `DEMPTY`.  0
                                   | `PROG`.    2
                                   | `M_calls_TERM`.  1
                                   | `C_calls_TERM`.  1
                                   | `REC_PROGRESS`.  1
                                   | `PATH_PROGRESS`. 1
                                   | `BODY_PROGRESS`. 1
                                   | `PRE_PROGRESS`.  1
                                   | `CPROGRESS`.     1
                                   | `PSPEC`.   1
                                   | `CSPEC`.   1
                                   | `TCSPEC`.  1
                                   | `PCSPEC`.  1
                                   | `BSPEC`.   1
                                   | `ES_SPEC`. 1
                                   | `ESPEC`  . 1
                                  ? 1000
                           ) dummy0))
   and prec = (\dummy0. ((bound_number `prec`) dummy0))
   and prec_of = (\dummy0. ((\meta. apply1 prec_val (bound_name meta)) dummy0))
   and prec_test =
    (\dummy0. ((\meta. apply2 (curry $<) (prec_of meta) prec) dummy0))
   and prog_op =
    (\dummy0. ((\op. op is_a_member_of [`NUM`;`PVAR`;`INC`;`PLUS`;`MINUS`;
                                        `MULT`;`EQ`;`LESS`;`LLESS`;
                                        `AND`;`OR`;`NOT`;
                                        `SKIP`;`ABORT`;`ASSIGN`;`SEQ`;
                                        `IF`;`WHILE`;`CALL`]
                ) dummy0))
   and assn_op =
    (\dummy0.
       ((\op. op is_a_member_of [`ANUM`;`AVAR`;`APLUS`;`AMINUS`;`AMULT`;
                                 `ATRUE`;`AFALSE`;`AEQ`;`ALESS`;`ALLESS`;
                                 `AAND`;`AOR`;`ANOT`;`AIMP`;`AEQB`;
                                 `ACOND`;`ACLOSE`;`AFORALL`;`AEXISTS`]
         ) dummy0))
   and decl_op =
    (\dummy0. ((\op. op is_a_member_of [`PROC`;`DSEQ`;`DEMPTY`;`PROG`;
                                        `PSPEC`;`CSPEC`;`TCSPEC`;`PCSPEC`;
                                        `BSPEC`;`ES_SPEC`;`ESPEC`;
                                        `CPROGRESS`;`PRE_PROGRESS`;
                                        `BODY_PROGRESS`;
                                        `PATH_PROGRESS`;`REC_PROGRESS`;
                                        `C_calls_TERM`;`M_calls_TERM`]
                ) dummy0))
   and arity_eq = (\dummy0. ((\op args. apply2 (\x y. length x = arity y)
                                               (bound_children args)
                                               (bound_name op)
                              ) dummy0))
   and prog_comb_test =
    (\dummy0. ((\op args.
                   \params pbind.
                      if (prog_op op params pbind)
                         then (arity_eq op args params pbind)
                         else false
                ) dummy0))
   and assn_comb_test =
    (\dummy0. ((\op args.
                   \params pbind.
                      if (assn_op op params pbind)
                         then (arity_eq op args params pbind)
                         else false
                ) dummy0))
   and decl_comb_test =
    (\dummy0. ((\op args.
                   \params pbind.
                      if (decl_op op params pbind)
                         then (arity_eq op args params pbind)
                         else false
                ) dummy0))
   in
   [
    ((`term`,(Const_name
               (`term`,
                [(Patt_child
                   (Print_label
                     (`prog`,(Print_loop
                               ((Const_name
                                  (`COMB`,
                                   [(Patt_child
                                      (Link_child ((Default,Default),[])));
                                    (Var_children `args`)])),
                                (Const_name
                                  (`CONST`,
                                   [(Patt_child (Var_name (`node`,[])));
                                    Wild_children])))))))])),
      (prog_comb_test `node` `args`)),[],
     (PF (H_box [((Nat 1),(PO_constant `[[`));
                 ((Nat 1),(PO_context_subcall
                            (`prog`,(`prog`,(I)),[(`prec`,(apply0 10))])));
                 ((Nat 1),(PO_constant `]]`))])));
    ((`term`,
      (Print_label
        (`prog`,
         (Print_loop
           ((Const_name
              (`COMB`,
               [(Patt_child (Link_child ((Default,Default),[])));
                (Var_children `args`)])),
            (Const_name
              (`CONST`,
               [(Patt_child (Var_name (`node`,[])));Wild_children])))))),
      (prog_comb_test `node` `args`)),[],
     (PF (H_box [((Nat 1),(PO_constant `[[`));
                 ((Nat 1),(PO_context_subcall
                            (`prog`,(`prog`,(I)),[(`prec`,(apply0 10))])));
                 ((Nat 1),(PO_constant `]]`))])));
    ((`term`,(Const_name
               (`term`,
                [(Patt_child
                   (Print_label
                     (`prog`,(Print_loop
                               ((Const_name
                                  (`COMB`,
                                   [(Patt_child
                                      (Link_child ((Default,Default),[])));
                                    (Var_children `args`)])),
                                (Const_name
                                  (`CONST`,
                                   [(Patt_child (Var_name (`node`,[])));
                                    Wild_children])))))))])),
      (assn_comb_test `node` `args`)),[],
     (PF
       (H_box [((Nat 1),(PO_constant `[[`));
               ((Nat 1),
                (PO_format
                  (PF (H_box
                        [((Nat 0),(PO_constant `{`));
                         ((Nat 0),
                          (PO_context_subcall
                            (`prog`,(`prog`,(I)),[(`prec`,(apply0 10))])));
                         ((Nat 0),(PO_constant `}`))]))));
               ((Nat 1),(PO_constant `]]`))])));
    ((`term`,
      (Print_label
        (`prog`,
         (Print_loop
           ((Const_name
              (`COMB`,
               [(Patt_child (Link_child ((Default,Default),[])));
                (Var_children `args`)])),
            (Const_name
              (`CONST`,
               [(Patt_child (Var_name (`node`,[])));Wild_children])))))),
      (assn_comb_test `node` `args`)),[],
     (PF
       (H_box [((Nat 1),(PO_constant `[[`));
               ((Nat 1),
                (PO_format
                  (PF (H_box
                        [((Nat 0),(PO_constant `{`));
                         ((Nat 0),
                          (PO_context_subcall
                            (`prog`,(`prog`,(I)),[(`prec`,(apply0 10))])));
                         ((Nat 0),(PO_constant `}`))]))));
               ((Nat 1),(PO_constant `]]`))])));
    ((`term`,(Const_name
               (`term`,
                [(Patt_child
                   (Print_label
                     (`prog`,(Print_loop
                               ((Const_name
                                  (`COMB`,
                                   [(Patt_child
                                      (Link_child ((Default,Default),[])));
                                    (Var_children `args`)])),
                                (Const_name
                                  (`CONST`,
                                   [(Patt_child (Var_name (`node`,[])));
                                    Wild_children])))))))])),
      (decl_comb_test `node` `args`)),[],
     (PF (H_box [((Nat 1),(PO_constant `[[`));
                 ((Nat 1),(PO_context_subcall
                            (`prog`,(`prog`,(I)),[(`prec`,(apply0 10))])));
                 ((Nat 1),(PO_constant `]]`))])));
    ((`term`,
      (Print_label
        (`prog`,
         (Print_loop
           ((Const_name
              (`COMB`,
               [(Patt_child (Link_child ((Default,Default),[])));
                (Var_children `args`)])),
            (Const_name
              (`CONST`,
               [(Patt_child (Var_name (`node`,[])));Wild_children])))))),
      (decl_comb_test `node` `args`)),[],
     (PF (H_box [((Nat 1),(PO_constant `[[`));
                 ((Nat 1),(PO_context_subcall
                            (`prog`,(`prog`,(I)),[(`prec`,(apply0 10))])));
                 ((Nat 1),(PO_constant `]]`))])));
    ((`prog`,
      (Const_name
        (`COMB`,[(Patt_child
                   (Const_name
                     (`CONST`,[(Patt_child (Const_name (`PSPEC`,[])));
                               Wild_children])));
                 (Patt_child
                   (Const_name
                     (`COMB`,
                      [(Patt_child
                         (Const_name
                           (`COMB`,[(Patt_child
                                      (Const_name
                                        (`CONST`,
                                         [(Patt_child
                                            (Const_name (`,`,[])));
                                          Wild_children])));
                                    (Patt_child (Var_child `pi`))])));
                       (Patt_child (Var_child `q`))])))])),(\x y. true)),[],
     (PF
       (V_box [(((Abs 0),(Nat 0)),
                (PO_context_subcall
                  (`prog`,(`pi`,(I)),[(`prec`,(apply0 10))])));
               (((Abs 0),(Nat 0)),
                (PO_format
                  (PF
                    (H_box [((Nat 0),(PO_constant `[`));
                            ((Nat 0),
                             (PO_context_subcall
                               (`prog`,(`q`,(I)),[(`prec`,(apply0 10))])));
                            ((Nat 0),(PO_constant `]`))]))))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,[(Patt_child (Const_name (`CSPEC`,[])));
                        Wild_children])));
          (Patt_child
            (Const_name
              (`COMB`,
               [(Patt_child
                  (Const_name
                    (`COMB`,[(Patt_child
                               (Const_name
                                 (`CONST`,
                                  [(Patt_child
                                     (Const_name (`,`,[])));
                                   Wild_children])));
                             (Patt_child (Var_child `p`))])));
                (Patt_child
                  (Const_name
                    (`COMB`,
                     [(Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`CONST`,
                                 [(Patt_child
                                    (Const_name
                                      (`,`,[])));
                                  Wild_children])));
                            (Patt_child (Var_child `c`))])));
                      (Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`COMB`,
                                 [(Patt_child
                                    (Const_name
                                      (`CONST`,
                                       [(Patt_child
                                          (Const_name
                                            (`,`,
                                             [])));
                                        Wild_children])));
                                  (Patt_child
                                    (Var_child `q`))])));
                            (Patt_child (Var_child `r`))])))])))])))])),
      (\x y. true)),[],
     (PF (HoV_box
           [(((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF (H_box
                     [((Nat 0),(PO_constant `[`));
                      ((Nat 0),
                       (PO_context_subcall
                         (`prog`,(`p`,(I)),[(`prec`,(apply0 10))])));
                      ((Nat 0),(PO_constant `]`))]))));
            (((Nat 1),(Abs 1),(Nat 0)),
             (PO_context_subcall
               (`prog`,(`c`,(I)),[(`prec`,(apply0 10))])));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF
                 (H_box [((Nat 0),(PO_constant `[`));
                         ((Nat 0),
                          (PO_context_subcall
                            (`prog`,(`q`,(I)),[(`prec`,(apply0 10))])));
                         ((Nat 0),(PO_constant `]`))]))))])));
    ((`prog`,
      (Const_name
        (`COMB`,[(Patt_child
                   (Const_name
                     (`CONST`,[(Patt_child (Const_name (`TCSPEC`,[])));
                               Wild_children])));
                 (Patt_child
                   (Const_name
                     (`COMB`,
                      [(Patt_child
                         (Const_name
                           (`COMB`,[(Patt_child
                                      (Const_name
                                        (`CONST`,
                                         [(Patt_child
                                            (Const_name (`,`,[])));
                                          Wild_children])));
                                    (Patt_child (Var_child `p`))])));
                       (Patt_child
                         (Const_name
                           (`COMB`,
                            [(Patt_child
                               (Const_name
                                 (`COMB`,
                                  [(Patt_child
                                     (Const_name
                                       (`CONST`,
                                        [(Patt_child
                                           (Const_name
                                             (`,`,[])));
                                         Wild_children])));
                                   (Patt_child (Var_child `c`))])));
                             (Patt_child (Var_child `r`))])))])))])),
      (\x y. true)),[],
     (PF
       (HoV_box
         [(((Nat 1),(Abs 0),(Nat 0)),
           (PO_format
             (PF (H_box
                   [((Nat 0),(PO_constant `[`));
                    ((Nat 0),
                     (PO_context_subcall
                       (`prog`,(`p`,(I)),[(`prec`,(apply0 10))])));
                    ((Nat 0),(PO_constant `]`))]))));
          (((Nat 1),(Abs 1),(Nat 0)),
           (PO_context_subcall (`prog`,(`c`,(I)),[(`prec`,(apply0 10))])))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,[(Patt_child (Const_name (`PCSPEC`,[])));
                        Wild_children])));
          (Patt_child
            (Const_name
              (`COMB`,
               [(Patt_child
                  (Const_name
                    (`COMB`,[(Patt_child
                               (Const_name
                                 (`CONST`,
                                  [(Patt_child
                                     (Const_name (`,`,[])));
                                   Wild_children])));
                             (Patt_child (Var_child `p`))])));
                (Patt_child
                  (Const_name
                    (`COMB`,
                     [(Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`CONST`,
                                 [(Patt_child
                                    (Const_name
                                      (`,`,[])));
                                  Wild_children])));
                            (Patt_child (Var_child `c`))])));
                      (Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`COMB`,
                                 [(Patt_child
                                    (Const_name
                                      (`CONST`,
                                       [(Patt_child
                                          (Const_name
                                            (`,`,
                                             [])));
                                        Wild_children])));
                                  (Patt_child
                                    (Var_child `q`))])));
                            (Patt_child (Var_child `r`))])))])))])))])),
      (\x y. true)),[],
     (PF (HoV_box
           [(((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF (H_box
                     [((Nat 0),(PO_constant `{`));
                      ((Nat 0),
                       (PO_context_subcall
                         (`prog`,(`p`,(I)),[(`prec`,(apply0 10))])));
                      ((Nat 0),(PO_constant `}`))]))));
            (((Nat 1),(Abs 1),(Nat 0)),
             (PO_context_subcall
               (`prog`,(`c`,(I)),[(`prec`,(apply0 10))])));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF
                 (H_box [((Nat 0),(PO_constant `{`));
                         ((Nat 0),
                          (PO_context_subcall
                            (`prog`,(`q`,(I)),[(`prec`,(apply0 10))])));
                         ((Nat 0),(PO_constant `}`))]))))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,
               [(Patt_child (Var_name (`spec`,[])));Wild_children])));
          (Patt_child
            (Const_name
              (`COMB`,
               [(Patt_child
                  (Const_name
                    (`COMB`,[(Patt_child
                               (Const_name
                                 (`CONST`,
                                  [(Patt_child
                                     (Const_name (`,`,[])));
                                   Wild_children])));
                             (Patt_child (Var_child `p`))])));
                (Patt_child
                  (Const_name
                    (`COMB`,
                     [(Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`CONST`,
                                 [(Patt_child
                                    (Const_name
                                      (`,`,[])));
                                  Wild_children])));
                            (Patt_child (Var_child `e`))])));
                      (Patt_child (Var_child `q`))])))])))])),
      (`spec` is_a_member_of [`BSPEC`;`ES_SPEC`;`ESPEC`]
       )),[],
     (PF (HoV_box
           [(((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF (H_box
                     [((Nat 0),(PO_constant `{`));
                      ((Nat 0),
                       (PO_context_subcall
                         (`prog`,(`p`,(I)),[(`prec`,(apply0 10))])));
                      ((Nat 0),(PO_constant `}`))]))));
            (((Nat 1),(Abs 1),(Nat 0)),
             (PO_context_subcall
               (`prog`,(`e`,(I)),[(`prec`,(apply0 10))])));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF
                 (H_box [((Nat 0),(PO_constant `{`));
                         ((Nat 0),
                          (PO_context_subcall
                            (`prog`,(`q`,(I)),[(`prec`,(apply0 10))])));
                         ((Nat 0),(PO_constant `}`))]))))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,[(Patt_child (Const_name (`CPROGRESS`,[])));
                        Wild_children])));
          (Patt_child
            (Const_name
              (`COMB`,
               [(Patt_child
                  (Const_name
                    (`COMB`,[(Patt_child
                               (Const_name
                                 (`CONST`,
                                  [(Patt_child
                                     (Const_name (`,`,[])));
                                   Wild_children])));
                             (Patt_child (Var_child `a`))])));
                (Patt_child
                  (Const_name
                    (`COMB`,
                     [(Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`CONST`,
                                 [(Patt_child
                                    (Const_name
                                      (`,`,[])));
                                  Wild_children])));
                            (Patt_child (Var_child `c`))])));
                      (Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`COMB`,
                                 [(Patt_child
                                    (Const_name
                                      (`CONST`,
                                       [(Patt_child
                                          (Const_name
                                            (`,`,
                                             [])));
                                        Wild_children])));
                                  (Patt_child
                                    (Var_child `p`))])));
                            (Patt_child
                              (Const_name
                                (`COMB`,
                                 [(Patt_child
                                    (Const_name
                                      (`COMB`,
                                       [(Patt_child
                                          (Const_name
                                            (`CONST`,
                                             [(Patt_child
                                                (Const_name
                                                  (`,`,
                                                   [])));
                                              Wild_children])));
                                        (Patt_child
                                          (Var_child
                                            `q`))])));
                                  (Patt_child
                                    (Var_child `r`))])))])))])))])))])),
      (\x y. true)),[],
     (PF (HoV_box
           [(((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF (H_box
                     [((Nat 0),(PO_constant `{`));
                      ((Nat 0),
                       (PO_context_subcall
                         (`prog`,(`a`,(I)),[(`prec`,(apply0 10))])));
                      ((Nat 0),(PO_constant `}`))]))));
            (((Nat 1),(Abs 1),(Nat 0)),
             (PO_context_subcall
               (`prog`,(`c`,(I)),[(`prec`,(apply0 10))])));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF (H_box
                     [((Nat 1),(PO_constant `->`));
                      ((Nat 1),
                       (PO_context_subcall (`string`,(`p`,(I)),[])))]))));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF
                 (H_box [((Nat 0),(PO_constant `{`));
                         ((Nat 0),
                          (PO_context_subcall
                            (`prog`,(`q`,(I)),[(`prec`,(apply0 10))])));
                         ((Nat 0),(PO_constant `}`))]))))])));
    ((`prog`,
      (Const_name
        (`COMB`,[(Patt_child
                   (Const_name
                     (`CONST`,
                      [(Patt_child (Const_name (`PRE_PROGRESS`,[])));
                       Wild_children])));
                 (Patt_child
                   (Const_name
                     (`COMB`,
                      [(Patt_child
                         (Const_name
                           (`COMB`,[(Patt_child
                                      (Const_name
                                        (`CONST`,
                                         [(Patt_child
                                            (Const_name (`,`,[])));
                                          Wild_children])));
                                    (Patt_child (Var_child `a`))])));
                       (Patt_child
                         (Const_name
                           (`COMB`,
                            [(Patt_child
                               (Const_name
                                 (`COMB`,
                                  [(Patt_child
                                     (Const_name
                                       (`CONST`,
                                        [(Patt_child
                                           (Const_name
                                             (`,`,[])));
                                         Wild_children])));
                                   (Patt_child (Var_child `c`))])));
                             (Patt_child (Var_child `r`))])))])))])),
      (\x y. true)),[],
     (PF (HoV_box
           [(((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF (H_box
                     [((Nat 0),(PO_constant `{`));
                      ((Nat 0),
                       (PO_context_subcall
                         (`prog`,(`a`,(I)),[(`prec`,(apply0 10))])));
                      ((Nat 0),(PO_constant `}`))]))));
            (((Nat 1),(Abs 1),(Nat 0)),
             (PO_context_subcall
               (`prog`,(`c`,(I)),[(`prec`,(apply0 10))])));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format (PF (H_box [((Nat 1),(PO_constant `->`));
                                    ((Nat 1),(PO_constant `pre`))]))))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,
               [(Patt_child (Const_name (`BODY_PROGRESS`,[])));
                Wild_children])));
          (Patt_child
            (Const_name
              (`COMB`,
               [(Patt_child
                  (Const_name
                    (`COMB`,[(Patt_child
                               (Const_name
                                 (`CONST`,
                                  [(Patt_child
                                     (Const_name (`,`,[])));
                                   Wild_children])));
                             (Patt_child (Var_child `a`))])));
                (Patt_child
                  (Const_name
                    (`COMB`,
                     [(Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`CONST`,
                                 [(Patt_child
                                    (Const_name
                                      (`,`,[])));
                                  Wild_children])));
                            (Patt_child (Var_child `c`))])));
                      (Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`COMB`,
                                 [(Patt_child
                                    (Const_name
                                      (`CONST`,
                                       [(Patt_child
                                          (Const_name
                                            (`,`,
                                             [])));
                                        Wild_children])));
                                  (Patt_child
                                    (Var_child
                                      `calls`))])));
                            (Patt_child (Var_child `r`))])))])))])))])),
      (\x y. true)),[],
     (PF
       (HoV_box
         [(((Nat 1),(Abs 0),(Nat 0)),
           (PO_format
             (PF (H_box
                   [((Nat 0),(PO_constant `{`));
                    ((Nat 0),
                     (PO_context_subcall
                       (`prog`,(`a`,(I)),[(`prec`,(apply0 10))])));
                    ((Nat 0),(PO_constant `}`))]))));
          (((Nat 1),(Abs 1),(Nat 0)),
           (PO_context_subcall
             (`prog`,(`c`,(I)),[(`prec`,(apply0 10))])));
          (((Nat 1),(Abs 0),(Nat 0)),
           (PO_format
             (PF (H_box
                   [((Nat 1),(PO_constant `->`));
                    ((Nat 1),
                     (PO_context_subcall (`calls`,(`calls`,(I)),[])))]))))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,
               [(Patt_child (Const_name (`PATH_PROGRESS`,[])));
                Wild_children])));
          (Patt_child
            (Const_name
              (`COMB`,
               [(Patt_child
                  (Const_name
                    (`COMB`,[(Patt_child
                               (Const_name
                                 (`CONST`,
                                  [(Patt_child
                                     (Const_name (`,`,[])));
                                   Wild_children])));
                             (Patt_child (Var_child `a`))])));
                (Patt_child
                  (Const_name
                    (`COMB`,
                     [(Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`CONST`,
                                 [(Patt_child
                                    (Const_name
                                      (`,`,[])));
                                  Wild_children])));
                            (Patt_child (Var_child `p1`))])));
                      (Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`COMB`,
                                 [(Patt_child
                                    (Const_name
                                      (`CONST`,
                                       [(Patt_child
                                          (Const_name
                                            (`,`,
                                             [])));
                                        Wild_children])));
                                  (Patt_child
                                    (Var_child `ps`))])));
                            (Patt_child
                              (Const_name
                                (`COMB`,
                                 [(Patt_child
                                    (Const_name
                                      (`COMB`,
                                       [(Patt_child
                                          (Const_name
                                            (`CONST`,
                                             [(Patt_child
                                                (Const_name
                                                  (`,`,
                                                   [])));
                                              Wild_children])));
                                        (Patt_child
                                          (Var_child
                                            `p2`))])));
                                  (Patt_child
                                    (Const_name
                                      (`COMB`,
                                       [(Patt_child
                                          (Const_name
                                            (`COMB`,
                                             [(Patt_child
                                                (Const_name
                                                  (`CONST`,
                                                   [(Patt_child
                                                      (Const_name
                                                        (`,`,
                                                         [])));
                                                    Wild_children])));
                                              (Patt_child
                                                (Var_child
                                                  `q`))])));
                                        (Patt_child
                                          (Var_child
                                            `r`))])))])))])))])))])))])),
      (\x y. true)),[],
     (PF (HoV_box
           [(((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF (H_box
                     [((Nat 0),(PO_constant `{`));
                      ((Nat 0),
                       (PO_context_subcall
                         (`prog`,(`a`,(I)),[(`prec`,(apply0 10))])));
                      ((Nat 0),(PO_constant `}`))]))));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF
                 (HoV_box
                   [(((Nat 0),(Abs 0),(Nat 0)),
                     (PO_context_subcall (`string`,(`p1`,(I)),[])));
                    (((Nat 0),(Abs 0),(Nat 0)),
                     (PO_format
                       (PF (H_box [((Nat 0),(PO_constant `-<`));
                                   ((Nat 0),
                                    (PO_context_subcall
                                      (`string`,(`ps`,(I)),[])));
                                   ((Nat 0),(PO_constant `>`))]))));
                    (((Nat 0),(Abs 0),(Nat 0)),
                     (PO_format
                       (PF
                         (H_box
                           [((Nat 0),(PO_constant `->`));
                            ((Nat 0),(PO_context_subcall
                                       (`string`,(`p2`,(I)),[])))]))))]))));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF
                 (H_box [((Nat 0),(PO_constant `{`));
                         ((Nat 0),
                          (PO_context_subcall
                            (`prog`,(`q`,(I)),[(`prec`,(apply0 10))])));
                         ((Nat 0),(PO_constant `}`))]))))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,
               [(Patt_child (Const_name (`REC_PROGRESS`,[])));
                Wild_children])));
          (Patt_child
            (Const_name
              (`COMB`,
               [(Patt_child
                  (Const_name
                    (`COMB`,[(Patt_child
                               (Const_name
                                 (`CONST`,
                                  [(Patt_child
                                     (Const_name (`,`,[])));
                                   Wild_children])));
                             (Patt_child (Var_child `a`))])));
                (Patt_child
                  (Const_name
                    (`COMB`,
                     [(Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`CONST`,
                                 [(Patt_child
                                    (Const_name
                                      (`,`,[])));
                                  Wild_children])));
                            (Patt_child (Var_child `p`))])));
                      (Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`COMB`,
                                 [(Patt_child
                                    (Const_name
                                      (`CONST`,
                                       [(Patt_child
                                          (Const_name
                                            (`,`,
                                             [])));
                                        Wild_children])));
                                  (Patt_child
                                    (Var_child `q`))])));
                            (Patt_child (Var_child `r`))])))])))])))])),
      (\x y. true)),[],
     (PF (HoV_box
           [(((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF (H_box
                     [((Nat 0),(PO_constant `{`));
                      ((Nat 0),
                       (PO_context_subcall
                         (`prog`,(`a`,(I)),[(`prec`,(apply0 10))])));
                      ((Nat 0),(PO_constant `}`))]))));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF (H_box
                     [((Nat 1),
                       (PO_context_subcall (`string`,(`p`,(I)),[])));
                      ((Nat 1),(PO_constant `<-`))]))));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF
                 (H_box [((Nat 0),(PO_constant `{`));
                         ((Nat 0),
                          (PO_context_subcall
                            (`prog`,(`q`,(I)),[(`prec`,(apply0 10))])));
                         ((Nat 0),(PO_constant `}`))]))))])));
    ((`prog`,
      (Const_name
        (`COMB`,[(Patt_child
                   (Const_name
                     (`CONST`,
                      [(Patt_child (Const_name (`C_calls_TERM`,[])));
                       Wild_children])));
                 (Patt_child
                   (Const_name
                     (`COMB`,
                      [(Patt_child
                         (Const_name
                           (`COMB`,[(Patt_child
                                      (Const_name
                                        (`CONST`,
                                         [(Patt_child
                                            (Const_name (`,`,[])));
                                          Wild_children])));
                                    (Patt_child (Var_child `a`))])));
                       (Patt_child
                         (Const_name
                           (`COMB`,
                            [(Patt_child
                               (Const_name
                                 (`COMB`,
                                  [(Patt_child
                                     (Const_name
                                       (`CONST`,
                                        [(Patt_child
                                           (Const_name
                                             (`,`,[])));
                                         Wild_children])));
                                   (Patt_child (Var_child `c`))])));
                             (Patt_child (Var_child `r`))])))])))])),
      (\x y. true)),[],
     (PF
       (HoV_box [(((Nat 1),(Abs 0),(Nat 0)),
                  (PO_format
                    (PF (H_box
                          [((Nat 0),(PO_constant `{`));
                           ((Nat 0),
                            (PO_context_subcall
                              (`prog`,(`a`,(I)),[(`prec`,(apply0 10))])));
                           ((Nat 0),(PO_constant `}`))]))));
                 (((Nat 1),(Abs 1),(Nat 0)),
                  (PO_context_subcall
                    (`prog`,(`c`,(I)),[(`prec`,(apply0 10))])));
                 (((Nat 1),(Abs 0),(Nat 0)),
                  (PO_format (PF (H_box [((Nat 0),(PO_constant `|`))]))))])));
    ((`prog`,
      (Const_name
        (`COMB`,[(Patt_child
                   (Const_name
                     (`CONST`,
                      [(Patt_child (Const_name (`M_calls_TERM`,[])));
                       Wild_children])));
                 (Patt_child
                   (Const_name
                     (`COMB`,
                      [(Patt_child
                         (Const_name
                           (`COMB`,[(Patt_child
                                      (Const_name
                                        (`CONST`,
                                         [(Patt_child
                                            (Const_name (`,`,[])));
                                          Wild_children])));
                                    (Patt_child (Var_child `p`))])));
                       (Patt_child (Var_child `r`))])))])),(\x y. true)),[],
     (PF (H_box [((Nat 1),(PO_context_subcall (`string`,(`p`,(I)),[])));
                 ((Nat 1),(PO_constant `|`))])));
    ((`string`,
      (Const_name
        (`CONST`,[(Patt_child (Const_name (`NIL`,[])));Wild_children])),
      (\x y. true)),[],PF_empty);
    ((`string`,
      (Print_loop
        ((Const_name
           (`COMB`,
            [(Patt_child
               (Const_name
                 (`COMB`,[(Patt_child
                            (Const_name
                              (`CONST`,
                               [(Patt_child
                                  (Const_name (`CONS`,[])));
                                Wild_children])));
                          (Patt_child (Var_child `elems`))])));
             (Patt_child (Link_child (((Val (Nat 1)),Default),[])))])),
         (Const_name
           (`CONST`,
            [(Patt_child (Const_name (`NIL`,[])));Wild_children])))),
      (\x y. true)),[(`elems1`,(new_children butlast `elems`));
                     (`last_elem`,(new_children (\l. [last l]) `elems`))],
     (PF
       (HV_box
         [(((Nat 0),(Inc 3),(Nat 0)),
           (PO_expand
             (H_box [((Nat 0),(PO_subcall ((`elems1`,(I)),[])));
                     ((Nat 0),(PO_constant `,`))])));
          (((Nat 0),(Inc 3),(Nat 0)),(PO_subcall ((`last_elem`,(I)),[])))])));
    ((`string`,
      (Const_name
        (`CONST`,[(Patt_child (Var_name (`s`,[])));Wild_children])),
      (\x y. true)),
     [(`s0`,(new_name (implode o tl o butlast o explode) `s`))],
     (PF (H_box [((Nat 0),(PO_leaf (`s0`,(I))))])));
    ((`vars`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`COMB`,
               [(Patt_child
                  (Const_name
                    (`CONST`,
                     [(Patt_child (Const_name (`VAR`,[])));
                      Wild_children])));
                (Patt_child
                  (Const_name
                    (`CONST`,[(Patt_child (Var_name (`s`,[])));
                              Wild_children])))])));
          (Patt_child
            (Const_name
              (`CONST`,
               [(Patt_child (Var_name (`n`,[])));Wild_children])))])),
      (`n` is_a_member_of [`0`])),
     [(`s0`,(new_name (implode o tl o butlast o explode) `s`))],
     (PF (H_box [((Nat 0),(PO_leaf (`s0`,(I))))])));
    ((`vars`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`COMB`,
               [(Patt_child
                  (Const_name
                    (`CONST`,
                     [(Patt_child (Const_name (`VAR`,[])));
                      Wild_children])));
                (Patt_child
                  (Const_name
                    (`CONST`,[(Patt_child (Var_name (`s`,[])));
                              Wild_children])))])));
          (Patt_child
            (Const_name
              (`CONST`,
               [(Patt_child (Var_name (`n`,[])));Wild_children])))])),
      (\x y. true)),
     [(`s0`,(new_name (implode o tl o butlast o explode) `s`))],
     (PF (H_box
           [((Nat 0),(PO_leaf (`s0`,(I))));((Nat 0),(PO_leaf (`n`,(I))))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,[(Patt_child (Const_name (`ANUM`,[])));
                        Wild_children])));(Patt_child (Var_child `n`))])),
      (\x y. true)),[],
     (PF (H_box [((Nat 0),(PO_context_subcall (`term`,(`n`,(I)),[])))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,[(Patt_child (Const_name (`AVAR`,[])));
                        Wild_children])));(Patt_child (Var_child `x`))])),
      (\x y. true)),[],
     (PF (H_box [((Nat 0),(PO_context_subcall (`vars`,(`x`,(I)),[])))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,[(Patt_child (Const_name (`ACLOSE`,[])));
                        Wild_children])));(Patt_child (Var_child `b`))])),
      (\x y. true)),[],
     (PF (HV_box [(((Nat 1),(Abs 3),(Nat 0)),(PO_constant `close`));
                  (((Nat 1),(Abs 3),(Nat 0)),(PO_subcall ((`b`,(I)),[])))])));
    ((`prog`,
      (Const_name
        (`COMB`,[(Patt_child
                   (Const_name
                     (`COMB`,
                      [(Patt_child
                         (Const_name
                           (`COMB`,[(Patt_child
                                      (Const_name
                                        (`CONST`,[(Patt_child
                                                    (Const_name
                                                      (`ACOND`,[])));
                                                  Wild_children])));
                                    (Patt_child (Var_child `b1`))])));
                       (Patt_child (Var_child `b2`))])));
                 (Patt_child (Var_child `b3`))])),(\x y. true)),[],
     (PF (HV_box
           [(((Nat 1),(Abs 3),(Nat 0)),
             (PO_format
               (PF
                 (H_box
                   [((Nat 0),(PO_constant `(`));
                    ((Nat 0),
                     (PO_subcall ((`b1`,(I)),[(`prec`,(apply0 10))])))]))));
            (((Nat 1),(Abs 3),(Nat 0)),
             (PO_format
               (PF
                 (H_box
                   [((Nat 1),(PO_constant `=>`));
                    ((Nat 1),
                     (PO_subcall ((`b2`,(I)),[(`prec`,(apply0 10))])))]))));
            (((Nat 1),(Abs 4),(Nat 0)),
             (PO_format
               (PF (H_box
                     [((Nat 1),(PO_constant `|`));
                      ((Nat 1),
                       (PO_format
                         (PF (H_box
                               [((Nat 0),(PO_subcall
                                           ((`b3`,(I)),
                                            [(`prec`,(apply0 10))])));
                                ((Nat 0),(PO_constant `)`))]))))]))))])));
    ((`prog`,(Print_loop
               ((Const_name
                  (`COMB`,
                   [(Patt_child
                      (Const_name
                        (`COMB`,[(Patt_child
                                   (Const_name
                                     (`CONST`,[(Patt_child
                                                 (Var_name (`op`,[])));
                                               Wild_children])));
                                 (Var_children `x`)])));
                    (Patt_child
                      (Link_child (((Val (Nat 1)),Default),[`op`])))])),
                (Var_child `b`))),
      (`op` is_a_member_of [`AFORALL`;`AEXISTS`])),[],
     (PF (H_box
           [((Nat 0),
             (PO_format
               (PF_branch ((prec_test `op`),PF_empty,
                           (PF (H_box [((Nat 0),(PO_constant `(`))]))))));
            ((Nat 0),
             (PO_format
               (PF
                 (HV_box
                   [(((Nat 1),(Abs 1),(Nat 0)),
                     (PO_format
                       (PF (H_box
                             [((Nat 0),
                               (PO_leaf
                                 (`op`,
                                  (\symb. case symb
                                          of `INC`    . `++`
                                           | `PLUS`   . `+`
                                           | `MINUS`  . `-`
                                           | `MULT`   . `*`
                                           | `EQ`     . `=`
                                           | `LESS`   . `<`
                                           | `LLESS`  . `<<`
                                           | `AND`    . `/\`
                                           | `OR`     . `\/`
                                           | `NOT`    . `~`
                                           | `SKIP`   . `skip`
                                           | `ABORT`  . `abort`
                                   
                                           | `APLUS`  . `+`
                                           | `AMINUS` . `-`
                                           | `AMULT`  . `*`
                                           | `ATRUE`  . `true`
                                           | `AFALSE` . `false`
                                           | `AEQ`    . `=`
                                           | `ALESS`  . `<`
                                           | `ALLESS` . `<<`
                                           | `AAND`   . `/\`
                                           | `AOR`    . `\/`
                                           | `ANOT`   . `~`
                                           | `AIMP`   . `==>`
                                           | `AEQB`   . `=`
                                           | `ACLOSE` . `close`
                                           | `AFORALL`. `!`
                                           | `AEXISTS`. `?`
                                   ))));
                              ((Nat 0),
                               (PO_format
                                 (PF (HV_box
                                       [(((Nat 1),(Abs 0),
                                          (Nat 0)),
                                         (PO_context_subcall
                                           (`vars`,
                                            (`x`,(I)),[])))]))));
                              ((Nat 0),(PO_constant `.`))]))));
                    (((Nat 1),(Abs 1),(Nat 0)),
                     (PO_subcall ((`b`,(I)),[(`prec`,(apply0 10))])))]))));
            ((Nat 0),
             (PO_format
               (PF_branch ((prec_test `op`),PF_empty,
                           (PF (H_box [((Nat 0),(PO_constant `)`))]))))))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,
               [(Patt_child (Const_name (`NUM`,[])));Wild_children])));
          (Patt_child (Var_child `n`))])),(\x y. true)),[],
     (PF (H_box [((Nat 0),(PO_context_subcall (`term`,(`n`,(I)),[])))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,[(Patt_child (Const_name (`PVAR`,[])));
                        Wild_children])));(Patt_child (Var_child `x`))])),
      (\x y. true)),[],
     (PF (H_box [((Nat 0),(PO_context_subcall (`vars`,(`x`,(I)),[])))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`CONST`,
               [(Patt_child (Const_name (`INC`,[])));Wild_children])));
          (Patt_child (Var_child `x`))])),(\x y. true)),[],
     (PF (H_box [((Nat 0),(PO_constant `++`));
                 ((Nat 0),(PO_context_subcall (`vars`,(`x`,(I)),[])))])));
    ((`prog`,(Const_name
               (`COMB`,
                [(Patt_child
                   (Const_name
                     (`COMB`,[(Patt_child
                                (Const_name
                                  (`CONST`,[(Patt_child
                                              (Const_name (`ASSIGN`,[])));
                                            Wild_children])));
                              (Patt_child (Var_child `x`))])));
                 (Patt_child (Var_child `e`))])),(\x y. true)),[],
     (PF (HV_box
           [(((Nat 1),(Abs 3),(Nat 0)),
             (PO_format
               (PF (H_box [((Nat 1),
                            (PO_context_subcall (`vars`,(`x`,(I)),[])));
                           ((Nat 1),(PO_constant `:=`))]))));
            (((Nat 1),(Abs 3),(Nat 0)),(PO_subcall ((`e`,(I)),[])))])));
    ((`prog`,(Const_name
               (`COMB`,
                [(Patt_child
                   (Const_name
                     (`COMB`,[(Patt_child
                                (Const_name
                                  (`CONST`,
                                   [(Patt_child (Const_name (`SEQ`,[])));
                                    Wild_children])));
                              (Patt_child
                                (Print_loop
                                  ((Const_name
                                     (`COMB`,
                                      [(Patt_child
                                         (Const_name
                                           (`COMB`,
                                            [(Patt_child
                                               (Const_name
                                                 (`CONST`,
                                                  [(Patt_child
                                                     (Const_name
                                                       (`SEQ`,
                                                        [])));
                                                   Wild_children])));
                                             (Patt_child
                                               (Link_child
                                                 (((Val
                                                     (Nat 1)),
                                                   Default),[])))])));
                                       (Patt_child (Var_child `coms`))])),
                                   (Var_child `com1`))))])));
                 (Patt_child (Var_child `com2`))])),(\x y. true)),
     [(`rev_coms`,(new_children rev `coms`))],
     (PF (HoV_box
           [(((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF (H_box [((Nat 0),(PO_subcall ((`com1`,(I)),[])));
                           ((Nat 0),(PO_constant `;`))]))));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_expand
               (H_box [((Nat 0),(PO_subcall ((`rev_coms`,(I)),[])));
                       ((Nat 0),(PO_constant `;`))])));
            (((Nat 1),(Abs 0),(Nat 0)),(PO_subcall ((`com2`,(I)),[])))])));
    ((`prog`,(Const_name
               (`COMB`,
                [(Patt_child
                   (Const_name
                     (`COMB`,[(Patt_child
                                (Const_name
                                  (`CONST`,
                                   [(Patt_child (Const_name (`SEQ`,[])));
                                    Wild_children])));
                              (Patt_child (Var_child `c1`))])));
                 (Patt_child (Var_child `c2`))])),(\x y. true)),[],
     (PF
       (HoV_box [(((Nat 1),(Abs 0),(Nat 0)),
                  (PO_format
                    (PF (H_box [((Nat 0),(PO_subcall ((`c1`,(I)),[])));
                                ((Nat 0),(PO_constant `;`))]))));
                 (((Nat 1),(Abs 0),(Nat 0)),(PO_subcall ((`c2`,(I)),[])))])));
    ((`prog`,
      (Const_name
        (`COMB`,[(Patt_child
                   (Const_name
                     (`COMB`,
                      [(Patt_child
                         (Const_name
                           (`COMB`,[(Patt_child
                                      (Const_name
                                        (`CONST`,
                                         [(Patt_child
                                            (Const_name (`IF`,[])));
                                          Wild_children])));
                                    (Patt_child (Var_child `b`))])));
                       (Patt_child (Var_child `c1`))])));
                 (Patt_child (Var_child `c2`))])),(\x y. true)),[],
     (PF (HoV_box
           [(((Nat 1),(Abs 3),(Nat 0)),
             (PO_format
               (PF (H_box [((Nat 1),(PO_constant `if`));
                           ((Nat 1),(PO_subcall ((`b`,(I)),[])))]))));
            (((Nat 1),(Abs 3),(Nat 0)),
             (PO_format
               (PF (HV_box
                     [(((Nat 1),(Abs 3),(Nat 0)),(PO_constant `then`));
                      (((Nat 1),(Abs 3),(Nat 0)),
                       (PO_subcall ((`c1`,(I)),[])))]))));
            (((Nat 1),(Abs 3),(Nat 0)),
             (PO_format
               (PF (HV_box
                     [(((Nat 1),(Abs 3),(Nat 0)),(PO_constant `else`));
                      (((Nat 1),(Abs 3),(Nat 0)),
                       (PO_subcall ((`c2`,(I)),[])))]))));
            (((Nat 1),(Abs 0),(Nat 0)),(PO_constant `fi`))])));
    ((`prog`,(Const_name
               (`COMB`,[(Patt_child
                          (Const_name
                            (`COMB`,
                             [(Patt_child
                                (Const_name
                                  (`COMB`,
                                   [(Patt_child
                                      (Const_name
                                        (`COMB`,
                                         [(Patt_child
                                            (Const_name
                                              (`CONST`,
                                               [(Patt_child
                                                  (Const_name
                                                    (`WHILE`,
                                                     [])));
                                                Wild_children])));
                                          (Patt_child (Var_child `a`))])));
                                    (Patt_child (Var_child `pr`))])));
                              (Patt_child (Var_child `b`))])));
                        (Patt_child (Var_child `c`))])),(\x y. true)),[],
     (PF (HoV_box
           [(((Nat 1),(Abs 0),(Nat 0)),
             (PO_format (PF (HV_box [(((Nat 1),(Abs 3),(Nat 0)),
                                      (PO_constant `assert`));
                                     (((Nat 1),(Abs 3),(Nat 0)),
                                      (PO_subcall ((`a`,(I)),[])))]))));
            (((Nat 1),(Abs 2),(Nat 0)),
             (PO_format
               (PF (HV_box
                     [(((Nat 1),(Abs 3),(Nat 0)),(PO_constant `with`));
                      (((Nat 1),(Abs 3),(Nat 0)),
                       (PO_subcall ((`pr`,(I)),[])))]))));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format
               (PF (HV_box
                     [(((Nat 1),(Abs 3),(Nat 0)),(PO_constant `while`));
                      (((Nat 1),(Abs 3),(Nat 0)),
                       (PO_subcall ((`b`,(I)),[])));
                      (((Nat 1),(Abs 0),(Nat 0)),(PO_constant `do`))]))));
            (((Nat 1),(Abs 3),(Nat 0)),(PO_subcall ((`c`,(I)),[])));
            (((Nat 1),(Abs 0),(Nat 0)),(PO_constant `od`))])));
    ((`prog`,
      (Const_name
        (`COMB`,[(Patt_child
                   (Const_name
                     (`COMB`,[(Patt_child
                                (Const_name
                                  (`COMB`,
                                   [(Patt_child
                                      (Const_name
                                        (`CONST`,
                                         [(Patt_child
                                            (Const_name (`CALL`,[])));
                                          Wild_children])));
                                    (Patt_child (Var_child `p`))])));
                              (Patt_child (Var_child `xs`))])));
                 (Patt_child (Var_child `es`))])),(\x y. true)),[],
     (PF (HV_box
           [(((Nat 0),(Abs 3),(Nat 0)),
             (PO_context_subcall (`string`,(`p`,(I)),[])));
            (((Nat 0),(Abs 3),(Nat 0)),
             (PO_format
               (PF (H_box [((Nat 0),(PO_constant `(`));
                           ((Nat 0),
                            (PO_context_subcall (`vars`,(`xs`,(I)),[])));
                           ((Nat 0),(PO_constant `;`));
                           ((Nat 0),
                            (PO_context_subcall (`args`,(`es`,(I)),[])));
                           ((Nat 0),(PO_constant `)`))]))))])));
    ((`prog`,
      (Const_name
        (`COMB`,
         [(Patt_child
            (Const_name
              (`COMB`,
               [(Patt_child
                  (Const_name
                    (`COMB`,
                     [(Patt_child
                        (Const_name
                          (`COMB`,
                           [(Patt_child
                              (Const_name
                                (`COMB`,
                                 [(Patt_child
                                    (Const_name
                                      (`COMB`,
                                       [(Patt_child
                                          (Const_name
                                            (`COMB`,
                                             [(Patt_child
                                                (Const_name
                                                  (`COMB`,
                                                   [(Patt_child
                                                      (Const_name
                                                        (`COMB`,
                                                         [(Patt_child
                                                            (Const_name
                                                              (`CONST`,
                                                               [(Patt_child
                                                                  (Const_name
                                                                    (`PROC`,
                                                                     [])));
                                                                Wild_children])));
                                                          (Patt_child
                                                            (Var_child
                                                              `p`))])));
                                                    (Patt_child
                                                      (Var_child
                                                        `vars`))])));(Patt_child
                                                                       (Var_child
                                                                         `vals`))])));
                                        (Patt_child
                                          (Var_child
                                            `glbs`))])));(Patt_child
                                                           (Var_child
                                                             `pre`))])));
                            (Patt_child
                              (Var_child `post`))])));(Patt_child (Var_child `calls`))])));
                (Patt_child (Var_child `rec`))])));(Patt_child (Var_child `c`))])),
      (\x y. true)),
     [],
     (PF
       (HoV_box
         [(((Nat 1),(Abs 3),(Nat 0)),
           (PO_format
             (PF (HV_box
                   [(((Nat 1),(Abs 3),(Nat 0)),
                     (PO_constant `procedure`));
                    (((Nat 1),(Abs 3),(Nat 0)),
                     (PO_context_subcall (`string`,(`p`,(I)),[])));
                    (((Nat 0),(Abs 3),(Nat 0)),
                     (PO_format
                       (PF (H_box [((Nat 0),(PO_constant `(`));
                                   ((Nat 0),
                                    (PO_context_subcall
                                      (`vars`,(`vars`,(I)),[])));
                                   ((Nat 0),(PO_constant `;`));
                                   ((Nat 0),
                                    (PO_context_subcall
                                      (`vars`,(`vals`,(I)),[])));
                                   ((Nat 0),(PO_constant `);`))]))))]))));
          (((Nat 1),(Abs 3),(Nat 0)),
           (PO_format
             (PF (HV_box
                   [(((Nat 1),(Abs 3),(Nat 0)),
                     (PO_constant `global`));
                    (((Nat 1),(Abs 3),(Nat 0)),
                     (PO_format
                       (PF (H_box [((Nat 0),
                                    (PO_context_subcall
                                      (`vars`,(`glbs`,(I)),[])));
                                   ((Nat 0),(PO_constant `;`))]))))]))));
          (((Nat 1),(Abs 3),(Nat 0)),
           (PO_format
             (PF (HV_box
                   [(((Nat 2),(Abs 3),(Nat 0)),(PO_constant `pre`));
                    (((Nat 2),(Abs 3),(Nat 0)),
                     (PO_format
                       (PF (H_box [((Nat 0),
                                    (PO_subcall ((`pre`,(I)),[])));
                                   ((Nat 0),(PO_constant `;`))]))))]))));
          (((Nat 1),(Abs 3),(Nat 0)),
           (PO_format
             (PF (HV_box
                   [(((Nat 1),(Abs 3),(Nat 0)),(PO_constant `post`));
                    (((Nat 1),(Abs 3),(Nat 0)),
                     (PO_format
                       (PF
                         (H_box [((Nat 0),
                                  (PO_subcall ((`post`,(I)),[])));
                                 ((Nat 0),(PO_constant `;`))]))))]))));
          (((Nat 1),(Abs 3),(Nat 0)),
           (PO_format
             (PF
               (HV_box
                 [(((Nat 1),(Abs 3),(Nat 0)),
                   (PO_context_subcall (`calls`,(`calls`,(I)),[])))]))));
          (((Nat 1),(Abs 3),(Nat 0)),
           (PO_format
             (PF (HV_box
                   [(((Nat 1),(Abs 3),(Nat 0)),
                     (PO_constant `recurses with`));
                    (((Nat 1),(Abs 3),(Nat 0)),
                     (PO_format
                       (PF (H_box [((Nat 0),
                                    (PO_subcall ((`rec`,(I)),[])));
                                   ((Nat 0),(PO_constant `;`))]))))]))));
          (((Nat 1),(Abs 3),(Nat 1)),(PO_subcall ((`c`,(I)),[])));
          (((Nat 1),(Abs 0),(Nat 0)),
           (PO_format (PF (H_box [((Nat 1),(PO_constant `end`));
                                  ((Nat 1),(PO_constant `procedure`))]))))])));
    ((`calls`,
      (Const_name
        (`COMB`,[(Patt_child
                   (Const_name
                     (`COMB`,
                      [(Patt_child
                         (Const_name
                           (`COMB`,[(Patt_child
                                      (Const_name
                                        (`CONST`,
                                         [(Patt_child
                                            (Const_name (`BND`,[])));
                                          Wild_children])));
                                    (Patt_child (Var_child `a`))])));
                       (Patt_child (Var_child `p`))])));
                 (Patt_child (Var_child `calls`))])),(\x y. true)),[],
     (PF
       (V_box [(((Abs 0),(Nat 0)),
                (PO_format
                  (PF (HV_box
                        [(((Nat 1),(Abs 3),(Nat 0)),(PO_constant `calls`));
                         (((Nat 1),(Abs 3),(Nat 0)),
                          (PO_context_subcall (`string`,(`p`,(I)),[])));
                         (((Nat 1),(Abs 3),(Nat 0)),(PO_constant `with`));
                         (((Nat 1),(Abs 3),(Nat 0)),
                          (PO_format
                            (PF (H_box
                                  [((Nat 0),(PO_context_subcall
                                              (`prog`,(`a`,(I)),[])));
                                   ((Nat 0),(PO_constant `;`))]))))]))));
               (((Abs 0),(Nat 0)),(PO_subcall ((`calls`,(I)),[])))])));
    ((`calls`,
      (Const_name
        (`ABS`,[(Patt_child (Var_child `p`));
                (Patt_child
                  (Const_name
                    (`CONST`,[(Patt_child (Const_name (`AFALSE`,[])));
                              Wild_children])))])),(\x y. true)),[],PF_empty);
    ((`prog`,(Const_name
               (`COMB`,
                [(Patt_child
                   (Const_name
                     (`COMB`,[(Patt_child
                                (Const_name
                                  (`CONST`,
                                   [(Patt_child (Const_name (`DSEQ`,[])));
                                    Wild_children])));
                              (Patt_child (Var_child `d1`))])));
                 (Patt_child (Var_child `d2`))])),(\x y. true)),[],
     (PF (HV_box [(((Nat 1),(Abs 0),(Nat 0)),
                   (PO_format
                     (PF (H_box [((Nat 0),(PO_subcall ((`d1`,(I)),[])));
                                 ((Nat 0),(PO_constant `;`))]))));
                  (((Nat 1),(Abs 0),(Nat 0)),(PO_subcall ((`d2`,(I)),[])))])));
    ((`prog`,
      (Const_name
        (`CONST`,[(Patt_child (Const_name (`DEMPTY`,[])));Wild_children])),
      (\x y. true)),[],
     (PF (HV_box [(((Nat 1),(Abs 0),(Nat 0)),(PO_constant `empty`))])));
    ((`prog`,(Const_name
               (`COMB`,
                [(Patt_child
                   (Const_name
                     (`COMB`,[(Patt_child
                                (Const_name
                                  (`CONST`,
                                   [(Patt_child (Const_name (`PROG`,[])));
                                    Wild_children])));
                              (Patt_child (Var_child `d`))])));
                 (Patt_child (Var_child `c`))])),(\x y. true)),[],
     (PF (HoV_box
           [(((Nat 1),(Abs 3),(Nat 0)),(PO_constant `program`));
            (((Nat 1),(Abs 3),(Nat 0)),
             (PO_format
               (PF (H_box [((Nat 0),(PO_subcall ((`d`,(I)),[])));
                           ((Nat 0),(PO_constant `;`))]))));
            (((Nat 1),(Abs 3),(Nat 1)),(PO_subcall ((`c`,(I)),[])));
            (((Nat 1),(Abs 0),(Nat 0)),
             (PO_format (PF (H_box [((Nat 1),(PO_constant `end`));
                                    ((Nat 1),(PO_constant `program`))]))))])));
    ((`vars`,
      (Const_name
        (`CONST`,[(Patt_child (Const_name (`NIL`,[])));Wild_children])),
      (\x y. true)),[],PF_empty);
    ((`vars`,
      (Print_loop
        ((Const_name
           (`COMB`,
            [(Patt_child
               (Const_name
                 (`COMB`,[(Patt_child
                            (Const_name
                              (`CONST`,
                               [(Patt_child
                                  (Const_name (`CONS`,[])));
                                Wild_children])));
                          (Patt_child (Var_child `elems`))])));
             (Patt_child (Link_child (((Val (Nat 1)),Default),[])))])),
         (Const_name
           (`CONST`,
            [(Patt_child (Const_name (`NIL`,[])));Wild_children])))),
      (\x y. true)),[(`elems1`,(new_children butlast `elems`));
                     (`last_elem`,(new_children (\l. [last l]) `elems`))],
     (PF
       (HV_box
         [(((Nat 0),(Inc 3),(Nat 0)),
           (PO_expand
             (H_box [((Nat 0),(PO_subcall ((`elems1`,(I)),[])));
                     ((Nat 0),(PO_constant `,`))])));
          (((Nat 0),(Inc 3),(Nat 0)),(PO_subcall ((`last_elem`,(I)),[])))])));
    ((`args`,
      (Const_name
        (`CONST`,[(Patt_child (Const_name (`NIL`,[])));Wild_children])),
      (\x y. true)),[],PF_empty);
    ((`args`,
      (Print_loop
        ((Const_name
           (`COMB`,
            [(Patt_child
               (Const_name
                 (`COMB`,[(Patt_child
                            (Const_name
                              (`CONST`,
                               [(Patt_child
                                  (Const_name (`CONS`,[])));
                                Wild_children])));
                          (Patt_child (Var_child `elems`))])));
             (Patt_child (Link_child (((Val (Nat 1)),Default),[])))])),
         (Const_name
           (`CONST`,
            [(Patt_child (Const_name (`NIL`,[])));Wild_children])))),
      (\x y. true)),[(`elems1`,(new_children butlast `elems`));
                     (`last_elem`,(new_children (\l. [last l]) `elems`))],
     (PF (HV_box [(((Nat 0),(Inc 3),(Nat 0)),
                   (PO_expand
                     (H_box
                       [((Nat 0),
                         (PO_context_subcall (`prog`,(`elems1`,(I)),[])));
                        ((Nat 0),(PO_constant `,`))])));
                  (((Nat 0),(Inc 3),(Nat 0)),
                   (PO_context_subcall (`prog`,(`last_elem`,(I)),[])))])));
    ((`prog`,
      (Const_name
        (`CONST`,[(Patt_child (Const_name (`NIL`,[])));Wild_children])),
      (\x y. true)),[],(PF (H_box [((Nat 0),(PO_constant `<>`))])));
    ((`prog`,
      (Print_loop
        ((Const_name
           (`COMB`,
            [(Patt_child
               (Const_name
                 (`COMB`,[(Patt_child
                            (Const_name
                              (`CONST`,
                               [(Patt_child
                                  (Const_name (`CONS`,[])));
                                Wild_children])));
                          (Patt_child (Var_child `elems`))])));
             (Patt_child (Link_child (((Val (Nat 1)),Default),[])))])),
         (Const_name
           (`CONST`,
            [(Patt_child (Const_name (`NIL`,[])));Wild_children])))),
      (\x y. true)),[(`elems1`,(new_children butlast `elems`));
                     (`last_elem`,(new_children (\l. [last l]) `elems`))],
     (PF (HV_box
           [(((Nat 0),(Inc 3),(Nat 0)),(PO_constant `<`));
            (((Nat 0),(Inc 3),(Nat 0)),
             (PO_expand
               (H_box [((Nat 0),(PO_subcall ((`elems1`,(I)),[])));
                       ((Nat 0),(PO_constant `,`))])));
            (((Nat 0),(Inc 3),(Nat 0)),(PO_subcall ((`last_elem`,(I)),[])));
            (((Nat 0),(Inc 3),(Nat 0)),(PO_constant `>`))])));
    ((`prog`,(Print_loop
               ((Const_name
                  (`COMB`,
                   [(Patt_child
                      (Const_name
                        (`COMB`,[(Patt_child
                                   (Const_name
                                     (`CONST`,[(Patt_child
                                                 (Var_name (`op`,[])));
                                               Wild_children])));
                                 (Patt_child (Var_child `exps`))])));
                    (Patt_child
                      (Link_child (((Val (Nat 1)),Default),[`op`])))])),
                (Var_child `exp`))),
      (`op` is_a_member_of [`PLUS`;`MULT`;`AND`;`OR`;
                            `APLUS`;`AMINUS`;`AMULT`;
                            `AAND`;`AOR`;`AIMP`;`AEQB`]
       )),[],
     (PF (H_box
           [((Nat 0),
             (PO_format
               (PF_branch ((prec_test `op`),PF_empty,
                           (PF (H_box [((Nat 0),(PO_constant `(`))]))))));
            ((Nat 0),
             (PO_format
               (PF (HoV_box
                     [(((Nat 1),(Abs 0),(Nat 0)),
                       (PO_expand
                         (H_box [((Nat 1),
                                  (PO_subcall
                                    ((`exps`,(I)),
                                     [(`prec`,(prec_of `op`))])));
                                 ((Nat 1),
                                  (PO_leaf
                                    (`op`,
                                     (\symb. case symb
                                             of `INC`    . `++`
                                              | `PLUS`   . `+`
                                              | `MINUS`  . `-`
                                              | `MULT`   . `*`
                                              | `EQ`     . `=`
                                              | `LESS`   . `<`
                                              | `LLESS`  . `<<`
                                              | `AND`    . `/\`
                                              | `OR`     . `\/`
                                              | `NOT`    . `~`
                                              | `SKIP`   . `skip`
                                              | `ABORT`  . `abort`
                                      
                                              | `APLUS`  . `+`
                                              | `AMINUS` . `-`
                                              | `AMULT`  . `*`
                                              | `ATRUE`  . `true`
                                              | `AFALSE` . `false`
                                              | `AEQ`    . `=`
                                              | `ALESS`  . `<`
                                              | `ALLESS` . `<<`
                                              | `AAND`   . `/\`
                                              | `AOR`    . `\/`
                                              | `ANOT`   . `~`
                                              | `AIMP`   . `==>`
                                              | `AEQB`   . `=`
                                              | `ACLOSE` . `close`
                                              | `AFORALL`. `!`
                                              | `AEXISTS`. `?`
                                      ))))])));
                      (((Nat 1),(Abs 0),(Nat 0)),
                       (PO_subcall
                         ((`exp`,(I)),[(`prec`,(prec_of `op`))])))]))));
            ((Nat 0),
             (PO_format
               (PF_branch ((prec_test `op`),PF_empty,
                           (PF (H_box [((Nat 0),(PO_constant `)`))]))))))])));
    ((`prog`,
      (Const_name
        (`COMB`,[(Patt_child
                   (Const_name
                     (`COMB`,[(Patt_child
                                (Const_name
                                  (`CONST`,
                                   [(Patt_child (Var_name (`op`,[])));
                                    Wild_children])));
                              (Patt_child (Var_child `e1`))])));
                 (Patt_child (Var_child `e2`))])),
      (`op` is_a_member_of [`MINUS`;`EQ`;`LESS`;`LLESS`;
                            `AEQ`;`ALESS`;`ALLESS`]
       )),[],
     (PF (H_box
           [((Nat 0),
             (PO_format
               (PF_branch ((prec_test `op`),PF_empty,
                           (PF (H_box [((Nat 0),(PO_constant `(`))]))))));
            ((Nat 0),
             (PO_format
               (PF
                 (HV_box [(((Nat 1),(Abs 0),(Nat 0)),
                           (PO_subcall
                             ((`e1`,(I)),[(`prec`,(prec_of `op`))])));
                          (((Nat 1),(Abs 0),(Nat 0)),
                           (PO_leaf (`op`,(\symb. case symb
                                                  of `INC`    . `++`
                                                   | `PLUS`   . `+`
                                                   | `MINUS`  . `-`
                                                   | `MULT`   . `*`
                                                   | `EQ`     . `=`
                                                   | `LESS`   . `<`
                                                   | `LLESS`  . `<<`
                                                   | `AND`    . `/\`
                                                   | `OR`     . `\/`
                                                   | `NOT`    . `~`
                                                   | `SKIP`   . `skip`
                                                   | `ABORT`  . `abort`
                                           
                                                   | `APLUS`  . `+`
                                                   | `AMINUS` . `-`
                                                   | `AMULT`  . `*`
                                                   | `ATRUE`  . `true`
                                                   | `AFALSE` . `false`
                                                   | `AEQ`    . `=`
                                                   | `ALESS`  . `<`
                                                   | `ALLESS` . `<<`
                                                   | `AAND`   . `/\`
                                                   | `AOR`    . `\/`
                                                   | `ANOT`   . `~`
                                                   | `AIMP`   . `==>`
                                                   | `AEQB`   . `=`
                                                   | `ACLOSE` . `close`
                                                   | `AFORALL`. `!`
                                                   | `AEXISTS`. `?`
                                           ))));
                          (((Nat 1),(Abs 0),(Nat 0)),
                           (PO_subcall
                             ((`e2`,(I)),[(`prec`,(prec_of `op`))])))]))));
            ((Nat 0),
             (PO_format
               (PF_branch ((prec_test `op`),PF_empty,
                           (PF (H_box [((Nat 0),(PO_constant `)`))]))))))])));
    ((`prog`,(Const_name
               (`COMB`,
                [(Patt_child
                   (Const_name
                     (`CONST`,
                      [(Patt_child (Var_name (`op`,[])));Wild_children])));
                 (Patt_child (Var_child `e`))])),
      (`op` is_a_member_of [`NOT`;`ANOT`;`ACLOSE`])),[],
     (PF (H_box
           [((Nat 0),
             (PO_format
               (PF_branch ((prec_test `op`),PF_empty,
                           (PF (H_box [((Nat 0),(PO_constant `(`))]))))));
            ((Nat 0),
             (PO_format
               (PF
                 (H_box
                   [((Nat 0),
                     (PO_leaf (`op`,(\symb. case symb
                                            of `INC`    . `++`
                                             | `PLUS`   . `+`
                                             | `MINUS`  . `-`
                                             | `MULT`   . `*`
                                             | `EQ`     . `=`
                                             | `LESS`   . `<`
                                             | `LLESS`  . `<<`
                                             | `AND`    . `/\`
                                             | `OR`     . `\/`
                                             | `NOT`    . `~`
                                             | `SKIP`   . `skip`
                                             | `ABORT`  . `abort`
                                     
                                             | `APLUS`  . `+`
                                             | `AMINUS` . `-`
                                             | `AMULT`  . `*`
                                             | `ATRUE`  . `true`
                                             | `AFALSE` . `false`
                                             | `AEQ`    . `=`
                                             | `ALESS`  . `<`
                                             | `ALLESS` . `<<`
                                             | `AAND`   . `/\`
                                             | `AOR`    . `\/`
                                             | `ANOT`   . `~`
                                             | `AIMP`   . `==>`
                                             | `AEQB`   . `=`
                                             | `ACLOSE` . `close`
                                             | `AFORALL`. `!`
                                             | `AEXISTS`. `?`
                                     ))));
                    ((Nat 0),(PO_subcall
                               ((`e`,(I)),[(`prec`,(prec_of `op`))])))]))));
            ((Nat 0),
             (PO_format
               (PF_branch ((prec_test `op`),PF_empty,
                           (PF (H_box [((Nat 0),(PO_constant `)`))]))))))])));
    ((`prog`,
      (Const_name
        (`CONST`,[(Patt_child (Var_name (`op`,[])));Wild_children])),
      (`op` is_a_member_of [`SKIP`;`ABORT`;`ATRUE`;`AFALSE`])),[],
     (PF (H_box [((Nat 0),(PO_leaf (`op`,(\symb. case symb
                                                 of `INC`    . `++`
                                                  | `PLUS`   . `+`
                                                  | `MINUS`  . `-`
                                                  | `MULT`   . `*`
                                                  | `EQ`     . `=`
                                                  | `LESS`   . `<`
                                                  | `LLESS`  . `<<`
                                                  | `AND`    . `/\`
                                                  | `OR`     . `\/`
                                                  | `NOT`    . `~`
                                                  | `SKIP`   . `skip`
                                                  | `ABORT`  . `abort`
                                          
                                                  | `APLUS`  . `+`
                                                  | `AMINUS` . `-`
                                                  | `AMULT`  . `*`
                                                  | `ATRUE`  . `true`
                                                  | `AFALSE` . `false`
                                                  | `AEQ`    . `=`
                                                  | `ALESS`  . `<`
                                                  | `ALLESS` . `<<`
                                                  | `AAND`   . `/\`
                                                  | `AOR`    . `\/`
                                                  | `ANOT`   . `~`
                                                  | `AIMP`   . `==>`
                                                  | `AEQB`   . `=`
                                                  | `ACLOSE` . `close`
                                                  | `AFORALL`. `!`
                                                  | `AEXISTS`. `?`
                                          ))))])));
    ((`prog`,(Var_child `x`),(\x y. true)),[],
     (PF (H_box [((Nat 0),(PO_context_subcall (`term`,(`x`,(I)),[])))])));
    ((`vars`,(Var_child `x`),(\x y. true)),[],
     (PF (H_box [((Nat 0),(PO_context_subcall (`term`,(`x`,(I)),[])))])));
    ((`string`,(Var_child `x`),(\x y. true)),[],
     (PF (H_box [((Nat 0),(PO_context_subcall (`term`,(`x`,(I)),[])))])))
   ] : print_rule list;;


let vcg_rules_fun =

   % : (print_rule_function) %

   print_rule_fun vcg_rules;;


%-----------------------------------------------------------------------------%
